/*************************************************************************
 *
 * Copyright (c) 2012 Digia Plc.
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/

#include <QtWidgets>

#include "test.h"
#include "receiver.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    QWidget top;

    Test *test1 = new Test(DefaultSignal);
    Test *test2 = new Test(ValueSignal);
    Receiver* result = new Receiver;

    QObject::connect(
        test1, SIGNAL(doUpdate(RepaintOperation)),
        result, SLOT(updateSlot(RepaintOperation))
    );
    QObject::connect(
        test2, SIGNAL(doUpdate(RepaintOperation)),
        result, SLOT(updateSlot(RepaintOperation))
    );

    QVBoxLayout *layout = new QVBoxLayout;
    layout->addWidget(test1);
    layout->addWidget(test2);
    layout->addWidget(result);

    top.setLayout(layout);
    top.show();

    return app.exec();
}
